MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
SongEnumerator Class Referenceabstract

An object which provides serial access to a number of Song objects. More...

`#include <SongEnumerator.hxx>`

Inheritance diagram for SongEnumerator:
[legend]

## Public Member Functions
virtual | ~SongEnumerator ()
virtual std::unique_ptr< DetachedSong > | NextSong ()=0
| Obtain the next song. More...

## Detailed Description

An object which provides serial access to a number of Song objects.

It is used to enumerate the contents of a playlist file.

Definition at line 31 of file SongEnumerator.hxx.

## Constructor & Destructor Documentation

virtual SongEnumerator::~SongEnumerator | ( |  | ) |
| inline virtual

Definition at line 33 of file SongEnumerator.hxx.

## Member Function Documentation

virtual std::unique_ptr<DetachedSong> SongEnumerator::NextSong | ( |  | ) |
| pure virtual

Obtain the next song.

Returns nullptr if there are no more songs.

Implemented in MemorySongEnumerator.

The documentation for this class was generated from the following file:

- playlist/SongEnumerator.hxx